<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <!--meta http-equiv="refresh" content="30"-->

    <!-- Main JS (navbar.js)-->
    <script defer src="./assets/js/main.js"></script>

    <!-- CSS -->
    <link rel="stylesheet" href="./assets/css/main.css">

    <!-- Font Awesome -->
    <!-- <link href="//maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet"> -->
    <link rel="stylesheet" type="text/css" href="./assets/css/vendor/font-awesome.min.css">

    <!-- Google Fonts -->
    <link href="//fonts.googleapis.com/css?family=Source+Sans+Pro:400,700,700italic,400italic" rel="stylesheet"
          type="text/css">

    <title>Thermostat - Jan Wagemakers -</title>
</head>

<body>
<div th:replace="./includes/menu :: menu"></div>

<div class="content">
    <article class="feature-image">
        <header id="main" style="background-image: url('./assets/img/darkCloud.jpeg')">
            <h1 id="About" class="title">
                Rules
            </h1>
        </header>

        <section class="post-content">

            <h2 th:text="'Rules : ' + ${user}"></h2>
            <hr>
            <form th:each="rule : ${rules}" action="#" th:action="@{/rule}" method="post">
                <input type="hidden" name="line" th:value="${rule.line}" readonly/>
                <p>
                    <select name="day">
                        <option th:value="0" th:selected="${0==rule.day}" th:text="'Every Day'"></option>
                        <option th:value="1" th:selected="${1==rule.day}" th:text="Sunday"></option>
                        <option th:value="2" th:selected="${2==rule.day}" th:text="Monday"></option>
                        <option th:value="3" th:selected="${3==rule.day}" th:text="Tuesday"></option>
                        <option th:value="4" th:selected="${4==rule.day}" th:text="Wednesday"></option>
                        <option th:value="5" th:selected="${5==rule.day}" th:text="Thursday"></option>
                        <option th:value="6" th:selected="${6==rule.day}" th:text="Friday"></option>
                        <option th:value="7" th:selected="${7==rule.day}" th:text="Saturday"></option>
                    </select>
                    <!-- <input type="hidden" name="day" th:value="${rule.day}" > -->
                </p>
                <p>
                    <input style="width: 10%" type="number" min="0" max="23" name="hour" th:value="${rule.hour}">
                    h&nbsp;:&nbsp;
                    <input style="width: 10%" type="number" min="0" max="59" name="min" th:value="${rule.min}">
                    m&nbsp;=&nbsp;
                    <input style="width: 10%" type="number" th:min="${min}" max="30" step="0.1" name="temp" th:value="${rule.temp}">
                    °C
                </p>
                <p><input type="hidden" name="user" th:value="${rule.user.id}" readonly/></p>
                <p>
                    <input type="submit" name="action" value="Save"/>
                    <input type="submit" name="action" value="Del"/>
                </p>
                <hr>
            </form>
            <h2>Add a new rule</h2>
            <hr>
            <form action="#" th:action="@{/rule}" th:object="${newRule}" method="post">
                <input type="hidden" th:field="*{line}" readonly/>
                <p>
                    <select th:field="*{day}">
                        <option th:value="0" th:text="'Every Day'"></option>
                        <option th:value="1" th:text="Sunday"></option>
                        <option th:value="2" th:text="Monday"></option>
                        <option th:value="3" th:text="Tuesday"></option>
                        <option th:value="4" th:text="Wednesday"></option>
                        <option th:value="5" th:text="Thursday"></option>
                        <option th:value="6" th:text="Friday"></option>
                        <option th:value="7" th:text="Saturday"></option>
                    </select>
                </p>
                <!--p><input type="text" th:field="*{day}"/></p-->
                <p>
                    <input style="width: 10%" type="number" min="0" max="23" th:field="*{hour}"/>
                    h&nbsp;:&nbsp;
                    <input style="width: 10%" type="number" min="0" max="59" th:field="*{min}"/>
                    m&nbsp;=&nbsp;
                    <input style="width: 10%" type="number" th:min="${min}" max="30" step="0.1" th:field="*{temp}"/>
                    °C
                </p>
                <p><input type="hidden" th:field="*{user.id}" readonly/></p>
                <p><input type="submit" name="action" value="Add"/></p>
            </form>
            <hr>

        </section>
    </article>
</div>

</body>
</html>
